"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTagNode = void 0;
const react_1 = __importDefault(require("react"));
const processNodes_js_1 = require("../processNodes.js");
const generatePropsFromAttributes_js_1 = require("../utils/generatePropsFromAttributes.js");
const isValidTagOrAttributeName_js_1 = require("../utils/isValidTagOrAttributeName.js");
const domhandler_1 = require("domhandler");
const VoidElements_js_1 = require("../dom/elements/VoidElements.js");
function processTagNode(node, index, transform) {
    if (!(0, domhandler_1.isTag)(node)) {
        return null;
    }
    const tagName = node.tagName;
    if (!(0, isValidTagOrAttributeName_js_1.isValidTagOrAttributeName)(tagName)) {
        return null;
    }
    const props = (0, generatePropsFromAttributes_js_1.generatePropsFromAttributes)(node.attribs, index);
    let children = null;
    if (VoidElements_js_1.VOID_ELEMENTS.indexOf(tagName) === -1) {
        children = (0, processNodes_js_1.processNodes)(node.children, transform);
    }
    return react_1.default.createElement(tagName, props, children);
}
exports.processTagNode = processTagNode;
//# sourceMappingURL=ProcessTagNode.js.map